Bug 469291 - Review Request: uml_utilities - Utilities for user-mode linux kernel
Review Request: uml_utilities - Utilities for user-mode linux kernel
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-31 00:07 EDT by Paul Wouters
Modified: 2009-04-02 13:20 EDT (History)
6 users (show)

See Also:
Fixed In Version: 20070815-5.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-04 11:26:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tcallawa: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul Wouters 2008-10-31 00:07:34 EDT
Spec URL: ftp://ftp.openswan.org/uml_utilities/uml_utilities.spec
SRPM URL: ftp://ftp.openswan.org/uml_utilities/uml_utilities-20060622-2.fc9.src.rpm
Description: This package contains the utilities for user-mode linux for networking, COW, etc.
Comment 1 Itamar Reis Peixoto 2008-11-01 11:10:28 EDT
- Source:
 - Please use 'Source0:
http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz' instead of
a link to a mirror
   https://fedoraproject.org/wiki/Packaging/SourceURL#Sourceforge.net
Comment 3 Paul Wouters 2008-11-01 12:22:52 EDT
Thanks for the pointers. The download sites are a complete mess. I hadn't even noticed there was a newer version until you pointed it out. It is only directly linked and not accessable via the sf.net downloads pages.

Spec URL: ftp://ftp.openswan.org/uml_utilities/uml_utilities.spec
SRPM URL:
ftp://ftp.openswan.org/uml_utilities/uml_utilities-20070815-1.fc9.src.rpm

* Sat Nov  1 2008 Paul Wouters <paul@xelerance.com> - 20070815-1
- Was pointed to newer version of source at obscured location
- Hack out hardcoded stripping of binaries
- -D_FILE_OFFSET_BITS=64 no longer needed


rpmlint output:
uml_utilities.src:19: W: setup-not-quiet
uml_utilities.x86_64: E: setuid-binary /usr/bin/uml_net root 04755
uml_utilities.x86_64: E: non-standard-executable-perm /usr/bin/uml_net 04755
3 packages and 0 specfiles checked; 2 errors, 1 warnings.

I am not sure why setup is not quiet, since all it contains is:
%setup -n tools-%{ver}

which only untars the source without an error.
Comment 4 Itamar Reis Peixoto 2008-11-01 14:34:07 EDT
try

%setup -q -n tools-%{ver}

the Source0 is very strange, looks like jdike and blaisorblade is not using sourceforge to host files,  the best options is ask where are located the lasted version and what's the right address for downloading it.
Comment 5 Itamar Reis Peixoto 2008-11-01 14:50:53 EDT
what's the difference between 

this:

mylib=`echo %{_libdir} | sed "s/\/usr//"`
ln -s ..$mylib/uml/port-helper $RPM_BUILD_ROOT%{_bindir}/port-helper

and this :

ln -s  %{_libdir}/uml/port-helper $RPM_BUILD_ROOT%{_bindir}/port-helper

?
Comment 6 Paul Wouters 2008-11-02 16:49:15 EST
Re: #4: I'm now using the link that's most prominently linked as the "download it here" link. I also added -q, which indeed resolved the warning.

Re: #5: The difference is that I'm making a relative softlink, instead of an absolute one. eg a link to ../lib instead of /usr/lib

Spec URL: ftp://ftp.openswan.org/uml_utilities/uml_utilities.spec
SRPM URL:
ftp://ftp.openswan.org/uml_utilities/uml_utilities-20070815-2.fc9.src.rpm

* Sun Nov  2 2008 Paul Wouters <paul@xelerance.com> - 20070815-2
- Added -q to setup
Comment 7 Paul Wouters 2008-11-09 23:29:59 EST
Anyone wants to pick up the review?
Comment 8 Till Maas 2008-12-10 16:13:02 EST
- RPM_OPT_FLAGS are not honoured:
https://fedoraproject.org/wiki/Packaging/Guidelines#Compiler_flags
E.g.:

cc -g -Wall -DTUNTAP   -c -o ethertap.o ethertap.c

- It does not build here, the Makefile of humsify contains:

install -o 0755 $(BIN) $(DESTDIR)$(BIN_DIR)

The "-o 0755" should probably be "-m 0755", which then can be omitted, because it is the default mode used by install.

Please make sure that the package builds before submitting it for review. You can use:

koji build --scratch dist-f11 *.src.rpm

To create a scratch build of the package on koji to verify that it builds.

Please remove the "NotReady" from the Whiteboard once you submitted a SRPM that does at least build.
Comment 9 Paul Wouters 2009-01-17 17:53:46 EST
I'll check the things you mentioned. And of course, it built fine for me. I'm using my own package on our dev servers :P
Comment 10 Christian Krause 2009-02-15 15:06:21 EST
Based on Pauls work I've created an updated package which
addresses all mentioned issues:

- build problem
- RPM_OPT_FLAGS not honored

Spec URL: http://www-user.tu-chemnitz.de/~tiwi/uml_utilities-20070815-3.fc10.src.rpm
SRPM URL: http://www-user.tu-chemnitz.de/~tiwi/uml_utilities.spec

The package builds successfully in F10 and F11 on the 4 default architectures:
https://koji.fedoraproject.org/koji/taskinfo?taskID=1128542
https://koji.fedoraproject.org/koji/taskinfo?taskID=1128537

I'm looking forward to the next review cycle. It would be great if the package
could be included into Fedora soon.
Comment 11 Paul Wouters 2009-02-17 14:28:27 EST
I confirmed the package still works for me on x86_64. rpmlint is still fairly quiet:
uml_utilities.x86_64: E: setuid-binary /usr/bin/uml_net root 04755
uml_utilities.x86_64: E: non-standard-executable-perm /usr/bin/uml_net 04755
2 packages and 0 specfiles checked; 2 errors, 0 warnings.

Thanks for your work Christian! Let's hope we can get this into Fedora soon!
Comment 12 Itamar Reis Peixoto 2009-02-17 15:50:39 EST
(In reply to comment #11)
> I confirmed the package still works for me on x86_64. rpmlint is still fairly
> quiet:
> uml_utilities.x86_64: E: setuid-binary /usr/bin/uml_net root 04755
> uml_utilities.x86_64: E: non-standard-executable-perm /usr/bin/uml_net 04755
> 2 packages and 0 specfiles checked; 2 errors, 0 warnings.
> 
> Thanks for your work Christian! Let's hope we can get this into Fedora soon!

uml_net requires suid bit to work , so there erros can be ignored.
Comment 13 Tom "spot" Callaway 2009-02-27 10:35:33 EST
%define ver    20070815

Please don't do this. Just put that in Version: and use %{version}. It will simplify the spec.

Also, the license tag is wrong. All of the code simply says "GPL", so the tag should be : License: GPL+

See: http://fedoraproject.org/wiki/Licensing/FAQ#How_do_I_figure_out_what_version_of_the_GPL.2FLGPL_my_package_is_under.3F

Also, it looks like the Source0 url is wrong, it should be:

http://user-mode-linux.sourceforge.net/%{name}_%{version}.tar.bz2

And... ncurses-devel is a Requires of readline-devel, so you shouldn't need to BuildRequires it.

Aside from that, everything looks fine. I'll finish the review, but please show me a finished package before I can flip the approved flag.

== Review ==
Good:

- rpmlint checks return:
uml_utilities.x86_64: E: setuid-binary /usr/bin/uml_net root 04755
uml_utilities.x86_64: E: non-standard-executable-perm /usr/bin/uml_net 04755
Safe to ignore.
- package meets naming guidelines
- package meets packaging guidelines
- license (GPL+) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream (4e10de8e0f5bf681fa295572009518b77fd8a1dd)
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file
Comment 14 Christian Krause 2009-02-27 16:04:50 EST
Thanks for the review!

(In reply to comment #13)
> Please don't do this. Just put that in Version: and use %{version}. It will
> simplify the spec.

Fixed.
 
> Also, the license tag is wrong. All of the code simply says "GPL", so the tag
> should be : License: GPL+

Fixed.

> Also, it looks like the Source0 url is wrong, it should be:
> http://user-mode-linux.sourceforge.net/%{name}_%{version}.tar.bz2

Fixed,
spectool -g SPECS/uml_utilities.spec
works fine now, sha1sum: 4e10de8e0f5bf681fa295572009518b77fd8a1dd

> And... ncurses-devel is a Requires of readline-devel, so you shouldn't need to
> BuildRequires it.

Fixed. Package builds fine locally using mock and for F10 and F11:

https://koji.fedoraproject.org/koji/taskinfo?taskID=1206294
https://koji.fedoraproject.org/koji/taskinfo?taskID=1206307

> Aside from that, everything looks fine. I'll finish the review, but please show
> me a finished package before I can flip the approved flag.

I've uploaded the new packages:

Spec URL:
http://www-user.tu-chemnitz.de/~tiwi/uml_utilities-20070815-4.fc10.src.rpm
SRPM URL: http://www-user.tu-chemnitz.de/~tiwi/uml_utilities.spec
Comment 15 Tom "spot" Callaway 2009-02-27 16:10:10 EST
Looks good, APPROVED.
Comment 16 Paul Wouters 2009-02-27 16:14:05 EST
New Package CVS Request
=======================
Package Name: uml_utilities
Short Description: Utilities for user-mode linux kernel
Owners: pwouters
Branches: EL-5, F-9, F-10
InitialCC:
Comment 17 Kevin Fenzi 2009-02-28 19:08:23 EST
cvs done.
Comment 18 Fedora Update System 2009-03-01 16:45:05 EST
uml_utilities-20070815-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/uml_utilities-20070815-4.fc10
Comment 19 Fedora Update System 2009-03-01 16:54:55 EST
uml_utilities-20070815-4.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/uml_utilities-20070815-4.fc9
Comment 20 Paul Wouters 2009-03-01 18:31:18 EST
Thanks everyone. Packages build

Except for EL-5, as it seems fuse is not enabled for EL-5 (though the package exists in EL-5, apparently there is no kernel support and therefor userland is not build, and our build fails with a missing fuse-devel dependancy)
Comment 21 Fedora Update System 2009-03-04 11:25:56 EST
uml_utilities-20070815-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2009-03-06 16:52:54 EST
uml_utilities-20070815-5.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/uml_utilities-20070815-5.fc9
Comment 23 Fedora Update System 2009-04-02 13:20:09 EDT
uml_utilities-20070815-5.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.